PETSc version 3.15.5
Fix/Edit manual page

# SNESGetLagJacobian

Indicates how often the Jacobian is rebuilt. See SNESGetLagPreconditioner() to determine when the preconditioner is rebuilt

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESGetLagJacobian(SNES snes,PetscInt *lag)

Not Collective

### Input Parameter

| snes | - the SNES context

### Output Parameter

| lag | - -1 indicates NEVER rebuild, 1 means rebuild every time the Jacobian is computed within a single nonlinear solve, 2 means every second time the Jacobian is built etc.

### Notes

The default is 1 The jacobian is ALWAYS built in the first iteration of a nonlinear solve unless lag is -1 or SNESSetLagJacobianPersists() was called.

### See Also

SNESSetTrustRegionTolerance(), SNESSetLagJacobian(), SNESSetLagPreconditioner(), SNESGetLagPreconditioner(), SNESSetLagJacobianPersists(), SNESSetLagPreconditionerPersists()

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages